* E Posta Adresiniz:
* Kodu Girin:

İleti Yazar
12.10.2019 12:50
87667    
BLack|E

[8] Kıdemli Uzman

Online Durumu

123 ileti
Teknik Ressam
ANKARA

Alıntı
alumina :
Alıntı
BLack|E :

secim cercevesi acili hareket edecek ne demek?


Aşağıdaki fotoğraf gibi hocam.

_____________________
M.Ertan KIRTIL
Teknik Ressam
Konstrüktör

12.10.2019 14:59
87670    
alumina

[70] Editör

Online Durumu

683 ileti
Insaat Muhendisi
Istanbul

Alıntı
BLack|E :


Ilk basta sordugum buydu. Acili select islemini autocad de manuel olarak yapabiliyor musun?

12.10.2019 19:42
87671    
BLack|E

[8] Kıdemli Uzman

Online Durumu

123 ileti
Teknik Ressam
ANKARA

Alıntı
alumina :
Alıntı
BLack|E :


Ilk basta sordugum buydu. Acili select islemini autocad de manuel olarak yapabiliyor musun?


Bildiğim kadarıyla hayır, yapamıyoruz.

_____________________
M.Ertan KIRTIL
Teknik Ressam
Konstrüktör

12.10.2019 20:02
87672    
alumina

[70] Editör

Online Durumu

683 ileti
Insaat Muhendisi
Istanbul

Alıntı
BLack|E :

O halde not al,
KURAL1: Autocad de manuel olarak yapilmayan hic bir sey lisple de yapilamaz..

12.10.2019 20:16
87673    
BLack|E

[8] Kıdemli Uzman

Online Durumu

123 ileti
Teknik Ressam
ANKARA

Alıntı
alumina :
Alıntı
BLack|E :

O halde not al,
KURAL1: Autocad de manuel olarak yapilmayan hic bir sey lisple de yapilamaz..


Teşekkürler

_____________________
M.Ertan KIRTIL
Teknik Ressam
Konstrüktör

13.10.2019 05:56
87674    
Travaci

[70] Editör

Online Durumu

2214 ileti
Teknik Ressam
Konstantinopol

Gideceğin yeri koordinatları biliyorsan
Kod:

(ssget "_CP" '((1 1) (3 1) (5 2) (2 4)))

Bu şekilde yapabilirsin.

13.10.2019 11:42
87675    
BLack|E

[8] Kıdemli Uzman

Online Durumu

123 ileti
Teknik Ressam
ANKARA

Alıntı
Travaci :
Gideceğin yeri koordinatları biliyorsan
Kod:

(ssget "_CP" '((1 1) (3 1) (5 2) (2 4)))

Bu şekilde yapabilirsin.


Travaci hocam güzel bir yol gösterdiniz, Teşekkür ederim.
Kordinatları kullanıcının seçmesini istedim.
Crossing poligon ile seçim yöntemi ile belirlediğim nokta sınırları dışında kalan nesneleri de seçtiriyordu.
Window Poligon yöntemi ile nokta içinde kalan nesneleri seçtirdim.
Tam istediğimde buydu aşağıdaki kod ortaya çıktı
Kod:

(setq p1 (getpoint "\n1.Nokta:"))
(setq p2 (getpoint p1 "\n2.Nokta:"))
(setq p3 (getpoint p2 "\n3.Nokta:"))
(setq p4 (getpoint p3 "\n4.Nokta:"))
(setq kord (list
(list (car p1)(cadr p1))
(list (car p2)(cadr p2))
(list (car p3)(cadr p3))
(list (car p4)(cadr p4))))
(setq secim1 (ssget "_WP" kord ))

_____________________
M.Ertan KIRTIL
Teknik Ressam
Konstrüktör

19.10.2019 19:08
87686    
BLack|E

[8] Kıdemli Uzman

Online Durumu

123 ileti
Teknik Ressam
ANKARA

Merhabalar
Aşağıdaki kod ile 4 köşe çizgi seçip bu köşelerin kesişim noktalarından
pline çizdirip, bu pline'nin mesela 5mm dışından
command trim fence ile bu dört köşeli poligon şeklin
dışındakileri trim'lemekti amacım fakat bu şekil poligon olduğu için polar'a açı değerlerini giremedim .
Bu konuda ne yapabilirim yardımcı olabilirseniz sevinirim.

Kod:

(defun c:te ()
(setq ci1 (car (entsel "\n1.Cizgi...")))
(setq ci2 (car (entsel "\n2.Cizgi...")))
(setq ci3 (car (entsel "\n3.Cizgi...")))
(setq ci4 (car (entsel "\n4.Cizgi...")))
(setq
ci1s (cdr (assoc 10 (entget ci1)))
ci1f (cdr (assoc 11 (entget ci1)))
ci2s (cdr (assoc 10 (entget ci2)))
ci2f (cdr (assoc 11 (entget ci2)))
ci3s (cdr (assoc 10 (entget ci3)))
ci3f (cdr (assoc 11 (entget ci3)))
ci4s (cdr (assoc 10 (entget ci4)))
ci4f (cdr (assoc 11 (entget ci4))))
(setq
kes1 (inters ci1s ci1f ci2s ci2f nil)
kes2 (inters ci2s ci2f ci3s ci3f nil)
kes3 (inters ci3s ci3f ci4s ci4f nil)
kes4 (inters ci4s ci4f ci1s ci1f nil))

.bu satırlara polar ile dört köşeli poligonun 5mm dışındaki yeni poligon şeklin ofset gibi düşünün, bu noktaları bulmayı düşünüyorum

(command "_.pline" kes1 kes2 kes3 kes4 "c" "")

.bu satıra trim komutunu çalıştırmayı düşünüyorum

(princ)
)

BLack|E (19.10.2019 20:17 GMT)

_____________________
M.Ertan KIRTIL
Teknik Ressam
Konstrüktör

19.10.2019 20:59
87687    
Travaci

[70] Editör

Online Durumu

2214 ileti
Teknik Ressam
Konstantinopol

Pedit ile seçtiğin çizgileri plyline a çevirip offset yap

Kod:

(vl-remove-if '(lambda(a) (/= (car a) 10)) (entget (entlast)))


Dxf kodlarından yukarıdaki gibi 10 olmayanları silerek koordinat listesi elde edebilirsin.

20.10.2019 15:43
87688    
BLack|E

[8] Kıdemli Uzman

Online Durumu

123 ileti
Teknik Ressam
ANKARA

Alıntı
Travaci :
Pedit ile seçtiğin çizgileri plyline a çevirip offset yap

Kod:

(vl-remove-if '(lambda(a) (/= (car a) 10)) (entget (entlast)))


Dxf kodlarından yukarıdaki gibi 10 olmayanları silerek koordinat listesi elde edebilirsin.


pedit ile çizgileri plyline'ye çevirmeye gerek varmıydı hocam bunu aşağıdaki kod ile gerçekleştirmiş olmam lazım.
Kod:

(command "_.pline" kes1 kes2 kes3 kes4 "c" "")

ayrıca dxf kodlarından 10 olmayanları silerek ne yapmaya çalışacağımızı anlamadım

_____________________
M.Ertan KIRTIL
Teknik Ressam
Konstrüktör

20.10.2019 22:54
87689    
Travaci

[70] Editör

Online Durumu

2214 ileti
Teknik Ressam
Konstantinopol

"dört köşeli poligonun 5mm dışındaki yeni poligon şeklin ofset gibi düşünün"
Sen demedin mi ? . Ofsetleyip yeni çizdiğimiz plygonun koordinatlarını yukarıdaki gibi dxf kodlarından 10 olmayanları silerek sadece koordinatları bırakıyoruz.

21.10.2019 06:17
87690    
BLack|E

[8] Kıdemli Uzman

Online Durumu

123 ileti
Teknik Ressam
ANKARA

Anladım hocam söylemek istediğinizi, kod'u yazmayı bitirir ve başarırsam sorum yok, yapamazsam yine fikrinize başvurabilirim müsait olursanız. Kolay gelsin.

_____________________
M.Ertan KIRTIL
Teknik Ressam
Konstrüktör

Önceki Sayfa [1] [2] [3] [4] [5] [6] [7] [8] [9] [10] [15] [20] [25] [30] [35] [40] > 41 <
Copyright © 2004-2019 | Tüm Hakları Saklıdır | 2112 | Site haritası | İstatistikler | Hakkımızda | Kadromuz | Gizlilik | Reklam | İletişim